"use client";

import React from "react";
import { useRouter, useParams } from "next/navigation";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faAngleLeft } from "@fortawesome/free-solid-svg-icons";
export default function PersonSpace() {
  const { src } = useParams();
  const router = useRouter();
  return (
    <div>
      <div className="p-4 fixed top-0 z-10 w-full">
        <div className="w-9 h-9 flex items-center justify-center bg-[#FFFFFF1A] rounded-full absolute">
          <FontAwesomeIcon
            icon={faAngleLeft}
            size="xl"
            onClick={() => {
              router.back();
            }}
          />
        </div>
        <p className="text-base text-center leading-9"></p>
      </div>
      {/* 内容 */}
      <iframe
        src={`${process.env.NEXT_PUBLIC_WEB_URL}/` + decodeURIComponent(src)}
        className="w-full h-[100vh]"
      />
    </div>
  );
}
