import React from "react";
import { DotLoading } from "antd-mobile";
import Empty from "@/components/Empty";
export default function InfiniteScrollContent({ hasMore, isEmpty }) {
  return (
    <>
      {hasMore ? (
        <>
          <span>加载中</span>
          <DotLoading />
        </>
      ) : !isEmpty ? (
        <span>没有更多了</span>
      ) : (
        <div
          className={`flex flex-col items-center mt-28`}
          // style={{ height: `${scrollHeight}px` }}
        >
          <Empty type="nodata" />
        </div>
      )}
    </>
  );
}
